Name:           d-haven-mpool
Version:        1.0
Release:        %mkrel 1
Summary:        D-Haven Event based processing
License:        ASL 2.0
Group:          Development/Java
URL:            http://d-haven.org/
# svn co http://d-haven.org/svn/open/managed-pool/tags/managed-pool/v1.0.0/ managed-pool
# tar czf managed-pool-1.0-src.tar.gz managed-pool
Source0:        managed-pool-%{version}-src.tar.gz
Source1:        d-haven-mpool-1.0.pom
Patch0:         d-haven-mpool-1.0-build_xml.patch
BuildRequires:  ant
BuildRequires:  concurrent
BuildRequires:  d-haven-event
BuildRequires:  java-devel
BuildRequires:  junit
BuildRequires:  jpackage-utils
Requires:       d-haven-event
Requires:       jpackage-utils
BuildArch:      noarch

%description
Haven Managed Pool is a library designed to provide pools
that are asynchronously managed in a background thread.  The
pool system is very flexible and can accomodate just about
every need.  It boasts the ability to add pool listeners so
that you can instrument and intercept the pooled objects when
they are created, destroyed, acquired, and released.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Haven Managed Pool is a library designed to provide pools
that are asynchronously managed in a background thread.

This package contains javadoc for %{name}.

%prep
%setup -q -n managed-pool

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
%patch0 -p0

%build

export CLASSPATH=$(build-classpath concurrent d-haven-event junit)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant \
   -Dsource=1.4 \
   -Dbuild.sysclasspath=only \
   jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/managed-pool-%{version}.jar \
  %{buildroot}%{_javadir}/d-haven-mpool-%{version}.jar

install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-d-haven-mpool.pom
%add_maven_depmap JPP-d-haven-mpool.pom d-haven-mpool.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/d-haven-mpool-%{version}
cp -pr target/docs/apidocs/* %{buildroot}%{_javadocdir}/d-haven-mpool-%{version}
ln -s d-haven-mpool-%{version} %{buildroot}%{_javadocdir}/d-haven-mpool

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/d-haven-mpool-%{version}.jar
%{_javadir}/d-haven-mpool.jar
%{_mavenpomdir}
%{_mavendepmapfragdir}
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/d-haven-mpool-%{version}
%{_javadocdir}/d-haven-mpool



%changelog

* Sun Nov 06 2011 gil <gil> 1.0-1.mga2
+ Revision: 164114
- imported package d-haven-mpool

